using Newtonsoft.Json;
using UnityEngine.Scripting;
using _Core;

namespace Seayoo.ComboSDK.Windows.Account.Model.Net
{
    [Preserve]
    public class AuthRealNameRequest : Serializable
    {
        [JsonProperty(PropertyName = "user_id")] public string userId;
        public string token;
        [JsonProperty(PropertyName = "real_name")] public string realName;
        [JsonProperty(PropertyName = "identity_card")] public string identityCard;
        public bool encrypted;
    }

    [Preserve]
    public class AuthRealNameResponse : Serializable
    {
        public User user;
    }
}
